> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Collections

> Returns all collections with pagination

<Note>
  **OAuth scope:** `offer_read`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml GET /open-api/v1.0/collections
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/collections:
    get:
      tags:
        - Collections
      summary: Get all collections
      description: Returns all collections with pagination
      operationId: list-collections
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 0
          example: 0
        - name: size
          in: query
          required: false
          schema:
            type: integer
            format: int32
            default: 20
          example: 5
        - name: search
          in: query
          required: false
          schema:
            type: string
          example: search_phrase
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.OpenApiPageResponseCom.fourthwall.openapi.model.CollectionSlimV1
      security:
        - oauth:
            - offer_read
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/collections/list-collections
components:
  schemas:
    com.fourthwall.openapi.model.OpenApiPageResponseCom.fourthwall.openapi.model.CollectionSlimV1:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/com.fourthwall.openapi.model.CollectionSlimV1'
        total:
          type: integer
          format: int32
        page:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
      required:
        - results
      title: Collection Slim
    com.fourthwall.openapi.model.CollectionSlimV1:
      type: object
      properties:
        id:
          type: string
          example: col_b1EVARkUTcCTSfspQaXr1Q
        shopId:
          type: string
          example: sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb
        name:
          type: string
          example: My collection
        slug:
          type: string
          example: my-collection
        description:
          type: string
          example: My collection description
        available:
          type: boolean
        state:
          oneOf:
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.CollectionStateV1.Archived
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.CollectionStateV1.Hidden
            - $ref: >-
                #/components/schemas/com.fourthwall.openapi.model.CollectionStateV1.Public
      required:
        - available
        - description
        - id
        - name
        - shopId
        - slug
        - state
      title: Collection Slim
    com.fourthwall.openapi.model.CollectionStateV1.Archived:
      allOf:
        - $ref: '#/components/schemas/com.fourthwall.openapi.model.CollectionStateV1'
        - type: object
          properties:
            type:
              type: string
              const: ARCHIVED
      description: Archived collection state
      title: Archived
    com.fourthwall.openapi.model.CollectionStateV1.Hidden:
      allOf:
        - $ref: '#/components/schemas/com.fourthwall.openapi.model.CollectionStateV1'
        - type: object
          properties:
            available:
              type: boolean
        - type: object
          properties:
            type:
              type: string
              const: HIDDEN
      description: Hidden collection state
      required:
        - available
      title: Hidden
    com.fourthwall.openapi.model.CollectionStateV1.Public:
      allOf:
        - $ref: '#/components/schemas/com.fourthwall.openapi.model.CollectionStateV1'
        - type: object
          properties:
            available:
              type: boolean
        - type: object
          properties:
            type:
              type: string
              const: PUBLIC
      description: Public collection state
      required:
        - available
      title: Public
    com.fourthwall.openapi.model.CollectionStateV1:
      description: Collection state
      discriminator:
        propertyName: type
        mapping:
          PUBLIC:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.CollectionStateV1.Public
          HIDDEN:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.CollectionStateV1.Hidden
          ARCHIVED:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.CollectionStateV1.Archived
      properties:
        type:
          type: string
      required:
        - type
      title: Collection State
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            donation_read: donation_read
            order_read: order_read
            order_write: order_write
            fulfillment_write: fulfillment_write
            giveaway_read: giveaway_read
            giveaway_write: giveaway_write
            memberships_read: memberships_read
            memberships_write: memberships_write
            promotions_write: promotions_write
            promotions_read: promotions_read
            offer_read: offer_read
            offer_write: offer_write
            shop_read: shop_read
            thankyou_read: thankyou_read
            thankyou_write: thankyou_write
            webhook_read: webhook_read
            webhook_write: webhook_write
            media_read: media_read
            media_write: media_write
            analytics_read: analytics_read
            samples_read: samples_read
            samples_write: samples_write
            dns_read: dns_read
            dns_write: dns_write
            settings_read: settings_read
            payout_read: payout_read
            integrations_read: integrations_read
    basicAuth:
      type: http
      scheme: basic

````